<div class="item-browser-sheet actor-browser-sheet">

    <div class="general-header" style="display: flex;justify-content: space-between;align-items: center;">
        {{localize "ARS.actor-browser"}}
        <div class="refresh-compendiums">
            <i class="fas fa-sync-alt" data-tooltip="ARS.itembrowser.refreshCompendiums"></i>
        </div>
    </div>
    <fieldset class="search-filters-box" style="border-radius: 6px;">
        <div class="general-subheader filter-titles flexrow">
            <div class="filter-item-type">Type</div>
            <div class="filter-source">Source</div>
            <div class="filter-name">Name</div>
            <div class="filter-search"></div>
        </div>

        <div class="filter-fields">
            <div class="flexrow">
                <div class="filter-item-type">
                    <select class="filter-item-type" name="item-type">
                        {{!-- {{#select 'item-type'}}
                            <option value="{{filters.type}}">{{capfirst (localize filters.type)}}</option>
                            {{#each @root.documentTypes}}
                                <option value="{{this}}">{{capfirst (localize this)}}</option>
                            {{/each}}
                        {{/select}} --}}

                        <option value="{{filters.type}}">{{capfirst (localize filters.type)}}</option>
                        {{selectOptions @root.documentTypes selected=item-type localize=true}}
                    </select>
                </div>
                <div class="filter-source">
                    <select class="filter-source" name="filter-source">
                        <option value="{{filters.source}}">{{localize filters.sourceName}}</option>
                        {{selectOptions sourceList selected=filter-source valueAttr="value" labelAttr="label" localize=true}}
                    </select>
                </div>
                <div style="flex-grow:2;" class="filter-name"><input name="filter-name" type="text"
                        value="{{filters.general.name}}" placeholder="Search name" /></div>
                <div class="filter-search"
                    style="display: flex;flex-basis: 25px;flex-grow:0;align-items: center;justify-content: center;margin-left:auto;">
                    <i class='fas fa-search'></i>
                </div>
            </div>
            {{#each (lookup filters filters.type) as |search field|}}
                <div class="flexrow">
                    <div class="field-item-fieldname">{{field}}</div>
                    <div class="filter-field-{{removedots field}}">
                        <input name="filter-field-{{removedots field}}" type="text" value="{{search.value}}"
                            placeholder="Search {{field}}" />
                    </div>
                </div>
            {{/each}}

        </div>
    </fieldset>


    <fieldset style="width:100%; padding: 6px;" class="item-list">
        <div class="item">
            <div class="flexrow">
                <div class="item-image"></div>
                <div style="flex-grow:2;" class="filter-name">Name</div>
                {{#each (lookup @root.filters @root.filters.type) as |search field|}}
                    <div class="item-filter-header item-filter-header-{{removedots field}}" data-tooltip="{{ field }}">
                        <div>{{localize (concat "ARS.actorbrowser." field) }}</div>
                    </div>
                {{/each}}
                <div class="item-list-controls"
                    style="display: flex;flex-basis: 25px;flex-grow:0;align-items: center;justify-content: center;margin-left:auto;">
                </div>
            </div>
        </div>

        {{#each actors as |actor idx|}}
            <li class="item with-borders item-entries flexrow" data-uuid="{{actor.uuid}}" data-id="{{actor.id}}"
                data-pack="{{actor.pack}}">

                <div class="item-image">
                    <img src="{{actor.img}}" data-tooltip="{{actor.name}}" />
                </div>

                <div style="flex-grow:2;" class="filter-name item-edit rollable text-trunc"
                    data-tooltip="{{actor.name}}<p/>Source, {{#if actor.pack}}Compendium: {{actor.pack}}{{else}}World{{/if}}">
                    {{actor.name}}
                </div>

                {{#each (lookup @root.filters @root.filters.type) as |search field|}}
                    <div class="text-trunc item-filter-value item-filter-{{removedots field}}">
                        <div class="text-trunc" data-tooltip="{{getproperty actor.system field}}">
                            {{getproperty actor.system field}}</div>
                    </div>
                {{/each}}

                <div class="item-list-controls flexrow"
                    style="display: flex;flex-basis: 25px;flex-grow:0;align-items: center;justify-content: center;margin-left:auto;">
                    <a class="item-edit" data-tooltip="Examine item"><i class="fas fa-edit"></i></a>
                </div>
            </li>
        {{/each}}
    </fieldset>

</div>